%global namedreltag -SNAPSHOT
%global namedversion %{version}%{?namedreltag}
Name:          package-rename-task
Version:       1.2
Release:       %mkrel 5
Summary:       Package rename ant task
Group:         Development/Java
License:       CDDL
Url:           http://java.net/projects/package-rename-task
# svn checkout https://svn.java.net/svn/package-rename-task~svn/trunk/package-rename-task --username USERNAME
# tar czf package-rename-task-1.2-src-svn.tar.gz package-rename-task
Source0:       package-rename-task-1.2-src-svn.tar.gz
Patch0:        package-rename-task-1.2-ant.patch
Patch1:        package-rename-task-1.2-maven3.patch

BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: maven-changes-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local
BuildRequires: maven-project
BuildRequires: maven-dependency-plugin
BuildRequires: forge-parent

Requires:      ant
Requires:      maven
Requires:      maven-project

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Ant task to relocate code from one package tree to another.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Ant task to relocate code from one package tree to another.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%patch0 -p0
%patch1 -p0

%build

mvn-rpmbuild -e \
  -Dmaven.test.skip=true \
  install javadoc:javadoc

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.2-5.mga4
+ Revision: 508801
- Mageia 4 Mass Rebuild

  + luigiwalser <luigiwalser>
    - BR maven-local for mvn-rpmbuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2-3.mga3
+ Revision: 362338
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 17 2012 gil <gil> 1.2-2.mga2
+ Revision: 197572
- fix BR
- build fix
  build with maven 3 support P1
  fix group and ant version P0
- fix some errors
- imported package package-rename-task

  + dmorgan <dmorgan>
    - Fix maven file install
    - Clean spec file


* Thu Jun 30 2011 gil <gil> 1.2-0.%%mkrel
- initial rpm